{...}: {
  imports = [
    ./networking.nix
    ./users.nix
    ./hardware.nix
    ./disko-config.nix
    ../../modules/system/env.nix
    ../../modules/security/acme.nix
    ../../modules/services/caddy.nix
    ../../modules/services/coredns.nix
    ../../modules/services/gitea.nix
    ../../modules/services/wireguard.nix
    ../../modules/services/fail2ban.nix
    ../../modules/services/vaultwarden.nix
    ../../modules/services/rustdesk.nix
    ../../modules/services/wrxproxy.nix
    ../../modules/services/watchtower.nix
    ../../modules/services/tlsa-updater.nix
    ../../modules/services/shkeeper.nix
    ../../modules/services/backup.nix
    ../../modules/services/stalwart.nix
    ../../modules/services/virtualcam.nix
    ../../modules/system/opencode.nix
  ];

  # Only 4GB RAM — limit nix builds to one core at a time to avoid OOM
  nix.settings = {
    cores = 1;
    max-jobs = 1;
  };

  system.stateVersion = "24.05";
}
